#ifndef _EDMECH_H_
#define _EDMECH_H_ 1

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>
#include "farquar.h"
#include "mech_lut.h"

#define SIGN(a,b) ((b) >= 0.0 ? fabs(a) : -fabs(a))
#define NUM_VM 1
#define ITMAX 100
/* EPS also defined in farquar.h */
//#define EPS 3.0e-8
#define NRANSI
#define MAX_NBR 100000
#define MONTHS 12
#define HOURS 24
//#define N_LIGHT 120+1
#define N_LIGHT 40+1

/* number of Vm0 bins */
#define N_Vm0	5

/******************************/
/* function prototypes	      */
/******************************/

/** conversion from PAR in W/m2 to PAR in mkEinsteins/(m^2 * s) */
#define convW2mkEins 4.72
/** fraction of shortwave radiation in PAR band */
#define convPAR2Rn  (1/0.45)
#define convRn2PAR 0.45

double convert_humidity(double h, double t);

/* lookup table functions */
struct param * init_param(char *name, int N, double min, double step,
		      enum logbool islog, char *units);
void fill_log_param(struct param *l, int N, double min, double step);
//struct param * init_log_param(struct param *l, int N, double min, double step);
void print_param(FILE *outfile, struct param *l);
void print_file_header(int Cx);
void print_param_header(struct param *l);

/* utility functions */
FILE * open_or_die(char* filename, char* mode);
void print_result(double Ao, double Pso, double Ac, double Psc);
void print_envPars(FILE *outfile, struct envPars *e);

#endif /* _EDMECH_H_ */
/************************************************************************/
/*********************** END OF FILE                          ***********/
/************************************************************************/

