/** mech LUT query tool  */

#include <stdlib.h>
#include <assert.h>
#include "mech_lut.h"

static void printout(float paramvals[], float vars[]) {
  int i;
  
  for(i=0; i<5; i++)
    printf("%f\t", paramvals[i]);
  printf("\n%p:  ", vars);
  fflush(NULL);
  for(i=0; i<4; i++)
    printf("%f\t", vars[i]);
  printf("\n");
}

/** 
 * Main for testing.
 * 
 */
int main(int argc, char **argv) {
  float *lut = NULL;
  float *vars = NULL;
  float paramvals[5];
  int i;
  
  if(argc != 7) {
    fprintf(stderr, "usage: LUT filename, CO2 ppm, Vm0, temp C, %% humidity, "
	    "net radiation W/m^2 \n");
    exit(1);
  }

  for (i=0; i<5; i++) {
    paramvals[i] = atof(argv[i+2]);
  }
 
  init_mech_lut(argv[1]);

  vars = mech_lookup_nearest(paramvals);
  printout(paramvals, vars);
  
  free(lut);
  return 0;
}
